Issue 116244 - unwanted rotation of non-closed polylines
unwanted rotation of non-closed polylines
Status: RESOLVED FIXED
Product: Draw
Classification: Application
Component: editing
DEV300m96
PC Windows XP
: P3 trivial (vote)
: 4.0.0
Assigned To: Armin Le Grand
issues@graphics
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-28 12:52 UTC by Regina Henschel
Modified: 2013-07-12 16:10 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2010-12-28 12:52:51 UTC
Hi Armin, here the task as mentioned on dev@graphics.openoffice.org.

Draw a polyline starting with a diagonal section, for example something like /\.
Press F2 and enter text. Notice that the text has the direction of the first
section. If you look into the 'Position and Size' you see, that the whole object
is rotated. I as user consider an implicit rotation as error.

Draw a closed triangle via polygon. Enter text. The text is horizontal. The
object is not rotated. Then draw a two section polyline with diagonal start and
close it. You get a rotated object. It is bad that this two workflows lead to
different objects.

The behavior of non-closed polylines has changed between OOo3.2 and OOo3.3. At
least the new implementation of the drawing objects should implement the OOo3.2
non-rotated kind.

There are two workarounds for OOo3.3:
(1) Draw a closed polygon, open it and delete the last point.
(2) Start with a dummy horizontal section and then delete the first point.
Comment 1 SVN Robot 2012-07-26 10:07:53 UTC
"alg" committed SVN revision 1365933 into trunk:
#116244# need to reset rotation when a polygon object in construction becomes...
Comment 2 Armin Le Grand 2012-07-26 10:08:17 UTC
ALG: Found, happens during creation: when object ever was a line and then gets more than that, the rotaion calculated for the line is not reset. For filled objects it does not happen since these are never a line (see all those SdrObjKind definitions which cover polygons, e.g. OBJ_LINE, OBJ_POLY, OBJ_PLIN, BJ_PATHLINE, OBJ_PATHFILL, OBJ_FREELINE, OBJ_FREEFILL, OBJ_SPLNLINE and OBJ_SPLNFILL). I am removing these definitions in aw080 already, the object type is defined by the properties of it's contained PolyPolygon and nothing else.
Checking in the small fix, despite it will conflict with aw080 later, but I do not know when aw080 will be ready.
Comitted as revision 1365933.